## onionprobe-1.1.0.tar.gz

=== Makefile ===
#
# Onionprobe Makefile.
#
# This Makefile is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3 of the License, or any later version.
#
# This Makefile is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place - Suite 330, Boston, MA 02111-1307, USA
#

.PHONY: configs docs

#
# Containers
#

run-containers:
	@docker-compose up -d

watch-containers:
	@watch docker-compose ps

log-containers:
	@docker-compose logs -f

stop-containers:
	@docker-compose down

#
# Configs
#

configs:
	@./packages/real-world-onion-sites.py
	@./packages/securedrop.py
	@./packages/tpo.py

#
# Documentation
#

docs: compile-docs

manpage:
	@./packages/manpage.py

compile-docs: manpage
	@cp docs/man/onionprobe.1.md docs/man/onionprobe.1.md.orig
	@sed -i -e '1i\\# ONIONPROBE(1) Onionprobe User Manual' -e 's|^#|##|g' -e '/^%/d' docs/man/onionprobe.1.md
	@mkdocs build
	@mv docs/man/onionprobe.1.md.orig docs/man/onionprobe.1.md

serve-docs:
	@mkdocs serve

watch-docs:
	@./scripts/watch-docs

share-docs: compile
	@onionshare-cli --disable_csp --website public

#
# Packaging
#

clean:
	@find -name __pycache__ -exec rm -rf {} \; || true

build-python-package: clean
	@python3 -m build

upload-python-test-package:
	@twine upload --skip-existing --repository testpypi dist/*

upload-python-package:
	@twine upload --skip-existing dist/*

update_sbuild:
	@sudo sbuild-update -udcar u

mk-build-deps:
	@mk-build-deps --install --tool='apt-get -y' debian/control

build-debian-test-package: mk-build-deps
	@dpkg-buildpackage -rfakeroot --no-sign

sbuild: update_sbuild
	@#sbuild -c stable-amd64-sbuild
	@sbuild  -c unstable-amd64-sbuild

#
# Release
#

release: clean configs docs

=== debian/changelog ===
onionprobe (1.1.0) unstable; urgency=medium

  * New upstream version.

 -- Silvio Rhatto <rhatto@torproject.org>  Mon, 03 Apr 2023 15:17:02 -0300

onionprobe (1.0.0) unstable; urgency=medium

  * New upstream version.
  * Has BREAKING CHANGES, see Onionprobe's ChangeLog for details.

 -- Silvio Rhatto <rhatto@torproject.org>  Tue, 31 May 2022 14:38:12 -0300

onionprobe (0.3.4) unstable; urgency=medium

  * New upstream version.

 -- Silvio Rhatto <rhatto@torproject.org>  Wed, 11 May 2022 15:01:02 -0300

onionprobe (0.3.3) unstable; urgency=medium

  * New upstream version.

 -- Silvio Rhatto <rhatto@torproject.org>  Wed, 11 May 2022 14:05:54 -0300

onionprobe (0.3.2) unstable; urgency=medium

  * New upstream version.
  * Leave examples only at /usr/lib/python3/dist-packages.

 -- Silvio Rhatto <rhatto@torproject.org>  Wed, 11 May 2022 09:50:53 -0300

onionprobe (0.3.1) unstable; urgency=medium

  * New upstream version.
  * Add examples folder.

 -- Silvio Rhatto <rhatto@torproject.org>  Tue, 03 May 2022 13:18:40 -0300

onionprobe (0.3.0) unstable; urgency=medium

  * New upstream version.

 -- Silvio Rhatto <rhatto@torproject.org>  Tue, 19 Apr 2022 16:52:11 -0300

onionprobe (0.2.2) unstable; urgency=medium

  * New upstream version.

 -- Silvio Rhatto <rhatto@torproject.org>  Mon, 11 Apr 2022 09:09:35 -0300

=== debian/control ===
Source: onionprobe
Section: net
Priority: optional
Maintainer: Silvio Rhatto <rhatto@torproject.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3,
 python3-setuptools,
 pandoc
X-Python-3-Version: >= 3.5
Standards-Version: 4.6.0.1
Homepage: https://tpo.pages.torproject.net/onion-services/onionprobe
Vcs-Git: https://gitlab.torproject.org/tpo/onion-services/onionprobe.git
Vcs-Browser: https://gitlab.torproject.org/tpo/onion-services/onionprobe/-/tree/main

Package: onionprobe
Architecture: all
Pre-Depends:
  ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${python3:Depends},
 adduser,
 tor
Recommends:
 prometheus
Description: test/monitor tool for Onion Services sites
 Onionprobe is a tool for testing and monitoring the status of Tor Onion
 Services sites. It can run a single time or continuously to probe a set of
 onion services endpoints and paths, optionally exporting to Prometheus.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_auto_build:
	# Pipe output to sed to avoid http://lintian.debian.org/tags/hyphen-used-as-minus-sign.html
	# Fixed in http://johnmacfarlane.net/pandoc/releases.html#pandoc-1.10-2013-01-19
	pandoc -s -w man docs/man/onionprobe.1.md -o docs/man/onionprobe.1
	sed -i -e 's/--/\\-\\-/g' docs/man/onionprobe.1
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	# Remove duplicate configs created by the Python packaging procedure
	rm -rf debian/onionprobe/usr/etc

override_dh_installinit:
	dh_installinit --no-enable
